Skip to main content
POST
/
v1
/
marketplaces
/
{marketplaceId}
/
plugins
Add marketplace plugin
curl --request POST \
  --url https://api.openworklabs.com/v1/marketplaces/{marketplaceId}/plugins \
  --header 'Content-Type: application/json' \
  --data '
{
  "pluginId": "<string>"
}
'
import requests

url = "https://api.openworklabs.com/v1/marketplaces/{marketplaceId}/plugins"

payload = { "pluginId": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pluginId: '<string>'})
};

fetch('https://api.openworklabs.com/v1/marketplaces/{marketplaceId}/plugins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "item": {
    "id": "<string>",
    "marketplaceId": "<string>",
    "pluginId": "<string>",
    "createdByOrgMembershipId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "removedAt": "2023-11-07T05:31:56Z",
    "plugin": {
      "id": "<string>",
      "organizationId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "createdByOrgMembershipId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "memberCount": 4503599627370495,
      "marketplaces": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ]
    }
  }
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

marketplaceId
string<typeid>
required

Den TypeID with 'mkt_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^mkt_.*

Body

application/json
pluginId
string<typeid>
required

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*
membershipSource
enum<string>
Available options:
manual,
connector,
api,
system

Response

Marketplace membership created successfully.

ok
boolean
required
item
object
required